// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.Subsystems;


import edu.wpi.first.networktables.GenericEntry;
import edu.wpi.first.wpilibj.DigitalInput;
import edu.wpi.first.wpilibj.shuffleboard.Shuffleboard;
import edu.wpi.first.wpilibj.shuffleboard.ShuffleboardTab;
import edu.wpi.first.wpilibj2.command.SubsystemBase;


import com.ctre.phoenix.motorcontrol.can.WPI_TalonSRX;
public class Accumulateur extends SubsystemBase {
  
  /** Creates a new Accumulateur. */
  public Accumulateur() {dashboard.addBoolean("photocellacc", this::limitswitch)
    .withSize(1, 1)
    .withPosition(0, 1);
   
    }
  ShuffleboardTab dashboard = Shuffleboard.getTab("dashboard");
  
  private GenericEntry vitesse =
      dashboard.add("vitesseacc", 0.1)
      .withSize(1, 1)
      .withPosition(0, 4)
      .getEntry(); 
      
  final WPI_TalonSRX accumulateur1 = new WPI_TalonSRX(0);
  final WPI_TalonSRX accumulateur2 = new WPI_TalonSRX(10);
  final DigitalInput photocell = new DigitalInput(94);
  public void encodeur(){
  }
  public boolean limitswitch(){
    return !photocell.get();
  }
  public void desaccumule(double vitesse){
    accumulateur1.set(vitesse);
    accumulateur2.set(-vitesse);
  }
  public void desaccumule(){
    desaccumule(vitesse.getDouble(0.9));
  }

  @Override
  public void periodic() {
    // This method will be called once per scheduler run
  }
}
